/*
Copyright  2004-2005 Eland Systems All Rights Reserved.

   1. Redistribution and use in source and binary forms must retain the above
   copyright notice, this list of conditions and the following disclaimer.

   2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

   3. The name of Eland Systems may not be used to endorse or promote products
   derived from this software without specific prior written permission.
*/

#ifndef UTIL_H_
#define UTIL_H_

void gwhite_init();
int gwhite_readconf();
int ip_cidr(const unsigned long ip, const short int masklen, const unsigned long checkip);
int check_ip(const unsigned long checkip);
#ifdef RE
int check_re(const char *hostname);
#endif
int unixconn(int sockfd, const char *ctlsock_path);
int waitconnect(int sockfd, int timeout_msec);
int dothost(char *host);
#ifdef POPAUTH
extern int checkpopauth(const char* dbfile, struct sockaddr *ip);
#endif
static unsigned int greylisttime  = 500;
static unsigned int greylistexpiry = 86400;
static int greylistdistance = 5;

#endif
